Images not appearing always in the main section for screenshots

Bug #1055441 reported by Dave Morley on 2012-09-24
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Low
Michael Vogt
Precise
Undecided
Unassigned

Bug Description

The main image in the screenshots section isn't always shoing however all the thumbnails do.

Steps:
1. Open USC goto a reinstall previous purchases
2. Click on any of the apps
3. Note the thumbnails in place but the main one missing.

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: software-center 5.3.14.2
ProcVersionSignature: Ubuntu 3.5.0-15.22-generic 3.5.4
Uname: Linux 3.5.0-15-generic x86_64
ApportVersion: 2.5.2-0ubuntu4
Architecture: amd64
Date: Mon Sep 24 11:09:32 2012
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64 (20120916)
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_GB:en
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
SourcePackage: software-center
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Dave Morley (davmor2) wrote :
Dave Morley (davmor2) wrote :

It has to be an app with multiple screenshots.

Changed in software-center (Ubuntu):
importance: Undecided → Low
Dave Morley (davmor2) wrote :

Tested mvo's branch I now see image in the main part of USC's screenshots

Changed in software-center (Ubuntu):
status: New → In Progress
assignee: nobody → Michael Vogt (mvo)
Changed in software-center (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 5.3.14.3

---------------
software-center (5.3.14.3) quantal; urgency=low

  [ Michael Vogt ]
  * lp:~mvo/software-center/downloader-fix-race839462-again:
    - fix a race condition in the SimpleFileDownloader when the file
      is downloaded but the signal did not get delivered yet by the
      gtk event loop (LP: #1055441)
  * lp:~mvo/software-center/thumbnail-test-fixes:
    - fix the get_test_screenshot_thumbnail_window() function and
      ensure that its properly used in the automatic test
  * lp:~mvo/software-center/support-multiple-exhibit-images:
    - add support for multiple images in the exhibit banners
      (LP: #920542)
  * lp:~mvo/software-center/robustness-lp1054070:
    - extends the recovery mechanism for corrupted berkeley
      DB files to MemoryErrors as well to catch LP: #1054070
  * lp:~mvo/software-center/whats-new-lp1044033:
    - ensure that there is a fallback xapian value that can be
      used if the apt-xapian-index has not been created
      (LP: #1044033)
  * lp:~mvo/software-center/exact-match-duplication-lp891613:
    - fix the duplication of packages during a search if there
      is an exact pkgname match in the apt-xapian-index and
      also in the software-center-agent (LP: #891613)
  * lp:~mvo/software-center/lp1047494:
    - fix AttributeError crash in _on_reviews_ready_callback()
      (LP: #1047494)
  * lp:~mvo/software-center/de-duplication-multiple-pkgnames-lp1043159:
    - fix duplication for multiple package lists (LP: #1043159)

  [ Stéphane Graber ]
  * lp:~stgraber/software-center/fix-weblive-isinstance:
    - sync weblive_pristine.py to the latest upstream version,
      this includes porting to be pep8 and python 3 ready and
      restores correct weblive operation

  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/de-duplication-multiple-pkgnames-lp1043159-tweak
    - pass DB to the recommendations categories
 -- Michael Vogt <email address hidden> Tue, 02 Oct 2012 10:02:51 +0200

Changed in software-center (Ubuntu):
status: Fix Committed → Fix Released
Chris Halse Rogers (raof) wrote :

I've rejected the software-center SRU from the precise-proposed queue, as bug #1006570 and bug #1042279 have been waiting for test cases and regression potential for over a month now.

Once these bugs have the necessary information for an SRU, please ping me or another an SRU team member in #ubuntu-release and we can fish it out of the rejected queue.

Hello Dave, or anyone else affected,

Accepted software-center into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/software-center/5.2.7 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in software-center (Ubuntu Precise):
status: New → Fix Committed
tags: added: verification-needed
Timo Jyrinki (timo-jyrinki) wrote :

Works now in -proposed version.

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 5.2.7

---------------
software-center (5.2.7) precise-proposed; urgency=low

  * lp:~mvo/software-center/oem-descriptor-in-user-agent-5.2:
    - include the oem-channel descriptor in the custom user agent
      string (LP: #1042749)
  * lp:~mvo/software-center/auto-fill-email-for-login:
    - allow auto-fill of the email in login.ubuntu.com if
      we have it (LP: #1042279)
  * lp:~mvo/software-center/fix-memleak-5.2:
    - fix two memory leaks when the cache is re-opened after
      a package has been installed/removed (LP: #1003466)
  * lp:~mvo/software-center/region-whitelist-5.2:
    - fix missing region whitelist support that is used by
      the software-center-agent (LP: #1006570)
  * lp:~mvo/software-center/downloader-fix-race839462-again-5.2:
    - fix a race condition in the SimpleFileDownloader when the file
      is downloaded but the signal did not get delivered yet by the
      gtk event loop (LP: #1055441)
 -- Michael Vogt <email address hidden> Wed, 26 Sep 2012 09:39:43 +0200

Changed in software-center (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers